module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.createTable('vegetablePictures', {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      url: {
        type: Sequelize.STRING
      },
      order: {
        type: Sequelize.INTEGER
      },
      vegetableId: {
        type: Sequelize.INTEGER,
        references: { model: 'vegetables', key: 'id' }
      },
      createdAt: {
        allowNull: false,
        type: Sequelize.DATE
      },
      updatedAt: {
        allowNull: false,
        type: Sequelize.DATE
      }
    })
  },
  down: (queryInterface, Sequelize) => {
    return queryInterface.dropTable('vegetablePictures')
  }
}
